Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet
Interface PropertyModel

All Known Subinterfaces:
  ExPropertyModel

All Known Implementing Classes:
  DefaultPropertyModel

    public interface PropertyModel

A model defining the behavior of a property. This model is used to allow components such as PropertyPanel to be used with arbitrary JavaBeans, without requiring them to be instances of Node.Property.

Note:While not yet deprecated, this class will soon be deprecated. The only functionality it offers that is distinct from Node.Property and/or PropertySupport.Reflection is the ability to listen to the model for changes, rather than listening to the bean it is a property of.

Users of PropertyPanel are encouraged instead to use its Node.Property constructor unless you are absolutely sure that the property you want to display can be changed by circumstances beyond your control while it is on screen (this is usually a bug not a feature).

See Also:
  `DefaultPropertyModel`

Field Summary
`static String` | `PROP_VALUE` Name of the 'value' property.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add listener to change of the value.
`Class` | `getPropertyEditorClass()` The class of the property editor or `null` if default property editor should be used.
`Class` | `getPropertyType()` The class of the property.
`Object` | `getValue()` Getter for current value of a property.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove listener to change of the value.
`void` | `setValue(Object v)` Setter for a value of a property.

Field Detail

### PROP_VALUE

    static final String PROP_VALUE

  Name of the 'value' property.

  See Also:
    Constant Field Values

Method Detail

### getValue

    Object getValue()
                    throws InvocationTargetException

  Getter for current value of a property.

  Returns:
    the value
  Throws:
    `InvocationTargetException` - if, for example, the getter method cannot be accessed

### setValue

    void setValue(Object v)
                  throws InvocationTargetException

  Setter for a value of a property.

  Parameters:
    `v` - the value
  Throws:
    `InvocationTargetException` - if, for example, the setter cannot be accessed

### getPropertyType

    Class getPropertyType()

  The class of the property.

  Returns:
    A class object

### getPropertyEditorClass

    Class getPropertyEditorClass()

  The class of the property editor or `null` if default property editor should be used.

  Returns:
    the class of PropertyEditor that should be used to edit this PropertyModel

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Add listener to change of the value.

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Remove listener to change of the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.